//Skybox Vertex Shader
//skybox should have its origin at same position as the camera
//no perVertex texture coordinates needed

#version 150

in vec4 vertexPosition;

uniform mat4 modelViewProjectionMatrix;


//cube map texture coordinates for the fragment shader
out vec3 vVaryingTexCoords;

void main(void)
{
	vVaryingTexCoords = normalize(vertexPosition.xyz);
	gl_Position = modelViewProjectionMatrix * vertexPosition;
}